[18.04/18.10] File libperf-jvmti.so is missing in linux-tools-common deb on Ubuntu

Bug #1761379 reported by bugproxy on 2018-04-05
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Kernel Team
linux (Ubuntu)
High
Canonical Kernel Team
Xenial
Undecided
Unassigned
Artful
High
Canonical Kernel Team
Bionic
High
Canonical Kernel Team
Cosmic
High
Canonical Kernel Team
Disco
High
Canonical Kernel Team
linux-aws (Ubuntu)
Undecided
Kamal Mostafa
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Kamal Mostafa
Cosmic
Undecided
Unassigned
Disco
Undecided
Kamal Mostafa
linux-aws-edge (Ubuntu)
Undecided
Kamal Mostafa
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Kamal Mostafa
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
linux-aws-hwe (Ubuntu)
Undecided
Kamal Mostafa
Xenial
Undecided
Kamal Mostafa
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]
File libperf-jvmti.so is missing in linux-tools-common deb making it impossible to use perf for the JVM JITed methods.

[Test case]
$ sudo perf record -k 1 -e instructions:u ./java -agentpath:/usr/lib/linux-tools-5.0.0-8/libperf-jvmti.so crc32
$ sudo perf inject -i ./perf.data -j -o ./perf.data.jitted
$ sudo perf report -f -i ./perf.data.jitted

[Fix]
Include java build dependencies and install the library into linux-tools package.

[Regression potential]
Small regression potential, an extra file is distributed and is not automatically linked to anything. It could impact the build, which was tested.

---Problem Description---
File libperf-jvmti.so is missing in linux-tools-common deb making it impossible to use perf for the JVM JITed methods

---uname output---
linux-image-4.13.0-36-generic

Machine Type = not relevant

---Debugger---
A debugger is not configured

---Steps to Reproduce---
 File libperf-jvmti.so is missing in linux-tools-common deb provided for Ubuntu 17.10 making it impossible to use perf for the JVM JITed methods. I also checked if the file is available on launchpad (https://launchpad.net/ubuntu/+source/linux) for Bionic Beaver proposed (main) at it's also absent there:

gromero@ltc-wspoon3:~/download$ dpkg -c linux-tools-common_4.15.0-13.14_all.deb | fgrep jvm
gromero@ltc-wspoon3:~/download$ dpkg -c linux-tools-4.15.0-13-generic_4.15.0-13.14_ppc64el.deb | fgrep jvm

I do see the file in tools/perf/jvmti dir in the source .tar.gz, but apparently it's no being packaged in any .deb file?

Thanks.

Userspace tool common name: perf

The userspace tool has the following bit modes: 64-bit

Userspace tool obtained from project website: na

bugproxy (bugproxy) on 2018-04-05
tags: added: architecture-ppc64le bugnameltc-166440 severity-medium targetmilestone-inin1804
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → kernel-package (Ubuntu)
affects: kernel-package (Ubuntu) → linux (Ubuntu)
summary: File libperf-jvmti.so is missing in linux-tools-common deb on Ubuntu
- 17.10 and above
+ 17.10 and 18.04
Changed in ubuntu-power-systems:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)

This probably affects one of the packages linux-tools-* that I can't mark, hence using linux (kernel) for now.
It looks to me that we don't ship "libperf-jvmti.so" with any package (and never have been).
But letting the kernel-team leave a comment on this ...

Manoj Iyer (manjo) on 2018-04-05
Changed in linux (Ubuntu):
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Canonical Kernel Team (canonical-kernel-team)
importance: Undecided → Medium
tags: added: triage-g
Changed in linux (Ubuntu):
status: New → Triaged
Changed in linux (Ubuntu Artful):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
tags: added: artful bionic kernel-da-key

------- Comment From <email address hidden> 2018-05-07 07:16 EDT-------
Hello,

So have the kernel team confirmed that issue?

Is the absent file (libperf-jvmti.so) marked to be included in any packaged already?

Thank you.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-05-11 11:07 EDT-------
Hi Canonical,

Now it's Triaged, what's your thought on that issue?

Thank you.

Regards,
Gustavo

Support for artful will end soon (July 2018) therefore marking this as a won't fix.

Changed in linux (Ubuntu Artful):
status: Triaged → Won't Fix
summary: - File libperf-jvmti.so is missing in linux-tools-common deb on Ubuntu
- 17.10 and 18.04
+ [18.04/18.10] File libperf-jvmti.so is missing in linux-tools-common deb
+ on Ubuntu

------- Comment From <email address hidden> 2018-06-25 11:18 EDT-------
(In reply to comment #9)
> Support for artful will end soon (July 2018) therefore marking this as a
> won't fix.

OK. But how about 18.04? Could you please at least provide a clarification/confirmation about why that lib is not included on any package related to the kernel package (on any release)? Should I open a different bug to track its inclusion on Bionic? Please advise.

Thank you.

Joseph Salisbury (jsalisbury) wrote :

I'm investigating this for Bionic. I'll post an update shortly.

Changed in linux (Ubuntu Bionic):
status: Triaged → In Progress
Changed in linux (Ubuntu):
status: Triaged → In Progress
Changed in linux (Ubuntu Bionic):
assignee: Canonical Kernel Team (canonical-kernel-team) → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Joseph Salisbury (jsalisbury)
Changed in ubuntu-power-systems:
status: Triaged → In Progress
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-08-27 09:00 EDT-------
Hi Salibury,

Any update on that?

Thanks.

Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with NO_JVMTI disabled in tools/perf/Makefile.config.

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1761379

Can you test this kernel and see if it resolves this bug?

Note about installing test kernels:
• If the test kernel is prior to 4.15(Bionic) you need to install the linux-image and linux-image-extra .deb packages.
• If the test kernel is 4.15(Bionic) or newer, you need to install the linux-modules, linux-modules-extra and linux-image-unsigned .deb packages.

Thanks in advance!

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-10-10 17:08 EDT-------
Hi Joseph,

It looks like 'perf' binary is missing in linux-tools-common in the pointed out packages:

root@gromero16:~/perf/lp1761379# dpkg -c linux-tools-common_4.15.0-34.38~lp1761379_all.deb
drwxr-xr-x root/root 0 2018-08-27 10:45 ./
drwxr-xr-x root/root 0 2018-08-27 10:45 ./usr/
drwxr-xr-x root/root 0 2018-08-27 10:45 ./usr/share/
drwxr-xr-x root/root 0 2018-08-27 10:45 ./usr/share/doc/
drwxr-xr-x root/root 0 2018-08-27 10:45 ./usr/share/doc/linux-tools-common/
-rw-r--r-- root/root 133835 2018-08-27 10:45 ./usr/share/doc/linux-tools-common/changelog.Debian.gz
-rw-r--r-- root/root 1292 2018-08-27 10:45 ./usr/share/doc/linux-tools-common/copyright
root@gromero16:~/perf/lp1761379#

I also could not find it and any jvmti.so in the remaining packages.

Would you mind to check that please?

Thank you.

Joseph Salisbury (jsalisbury) wrote :

I'll check into why those are missing and should have more packages ready shortly.

Joseph Salisbury (jsalisbury) wrote :

I built a v2 test kernel. All the .debs can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1761379/v2

Can you test this kernel and see if it resolves this bug?

Changed in ubuntu-power-systems:
importance: Medium → High
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-10-11 12:40 EDT-------
(In reply to comment #18)
> I built a v2 test kernel. All the .debs can be downloaded from:
>
> http://kernel.ubuntu.com/~jsalisbury/lp1761379/v2
>
> Can you test this kernel and see if it resolves this bug?

Hi Joseph,

Thanks for providing v2.

Unfortunately it looks like 'perf' is still missing in linux-tools-common package:

root@gromero16:~/perf/~jsalisbury/lp1761379/v2# dpkg -c linux-tools-common_4.15.0-36.40~lp1761379v2_all.deb
drwxr-xr-x root/root 0 2018-09-24 10:08 ./
drwxr-xr-x root/root 0 2018-09-24 10:08 ./usr/
drwxr-xr-x root/root 0 2018-09-24 10:08 ./usr/share/
drwxr-xr-x root/root 0 2018-09-24 10:08 ./usr/share/doc/
drwxr-xr-x root/root 0 2018-09-24 10:08 ./usr/share/doc/linux-tools-common/
-rw-r--r-- root/root 140984 2018-09-24 10:08 ./usr/share/doc/linux-tools-common/changelog.Debian.gz
-rw-r--r-- root/root 1292 2018-09-24 10:08 ./usr/share/doc/linux-tools-common/copyright
root@gromero16:~/perf/~jsalisbury/lp1761379/v2#

I do see it in an AMD64 .deb file but it's not suitable for PPC64 naturally:

root@gromero16:~/perf/~jsalisbury/lp1761379/v2# dpkg -c ./linux-tools-4.15.0-36_4.15.0-36.40~lp1761379v2_amd64.deb | fgrep \/perf
-rwxr-xr-x root/root 5549944 2018-10-11 08:09 ./usr/lib/linux-tools-4.15.0-36/perf

I also still cant' find any '*jvmti*' in v2 packages.

So could you check it again please?

Thanks.

Regards,
Gustavo

Changed in linux (Ubuntu Bionic):
importance: Medium → High
Changed in linux (Ubuntu Cosmic):
importance: Medium → High
Joseph Salisbury (jsalisbury) wrote :

It's possible this is happening because I'm cross compiling. I'll build the packages in a PPA, so it is a native compile.

The PPA will be located at:
https://launchpad.net/~jsalisbury/+archive/ubuntu/1761379

It is currently building and should be done in an hour or two.

Changed in ubuntu-power-systems:
status: In Progress → Incomplete
Andrew Cloke (andrew-cloke) wrote :

Marking as "incomplete" while awaiting IBM's test results from the PPA.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-10-15 17:33 EDT-------
Hi Joseph,

(In reply to comment #20)
> It's possible this is happening because I'm cross compiling. I'll build the
> packages in a PPA, so it is a native compile.
>
> The PPA will be located at:
> https://launchpad.net/~jsalisbury/+archive/ubuntu/1761379
>
> It is currently building and should be done in an hour or two.

I'm now able to find the 'perf' binary and it works correctly.

However I'm still unable to find the ' libperf-jvmti.so`.

Could you please check it again and confirm in which package exactly Canonical will provide such a file?

Thanks and best regards,
Gustavo

Changed in ubuntu-power-systems:
status: Incomplete → In Progress
Joseph Salisbury (jsalisbury) wrote :

I create one more PPA at the same locate, but with v3 in the name:
 https://launchpad.net/~jsalisbury/+archive/ubuntu/1761379

Just to confirm, you have java on your test system?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-10-18 09:14 EDT-------
(In reply to comment #23)
> I create one more PPA at the same locate, but with v3 in the name:
> https://launchpad.net/~jsalisbury/+archive/ubuntu/1761379

Thanks. I'll gitve it a try today.

> Just to confirm, you have java on your test system?

Yes. OpenJDK more specifically (8 and 11 downstream, upstream 12, for instance).

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-10-18 16:11 EDT-------
Hi Joseph,

(In reply to comment #23)
> I create one more PPA at the same locate, but with v3 in the name:
> https://launchpad.net/~jsalisbury/+archive/ubuntu/1761379

My understanding is that the PPA ppc64el build broke. There are no binary files available for v3:

Number of packages:
1 source package (157.0 MiB)
0 binary packages (0 bytes)

Please, check the presence of the JVM jvmti agent (libperf-jvmti.so file) in the packages first before pointing me out to the new generated packages and also please point me out the individual package that contains that file since I don't follow closely how Canonical usually splits such a files in the various generated files.

Thank you.

Changed in linux (Ubuntu Bionic):
assignee: Joseph Salisbury (jsalisbury) → Canonical Kernel Team (canonical-kernel-team)
Changed in linux (Ubuntu):
assignee: Joseph Salisbury (jsalisbury) → Canonical Kernel Team (canonical-kernel-team)
Changed in linux (Ubuntu Cosmic):
assignee: Joseph Salisbury (jsalisbury) → Canonical Kernel Team (canonical-kernel-team)
Changed in linux (Ubuntu Artful):
importance: Medium → High
tags: added: cosmic disco
Manoj Iyer (manjo) wrote :

This bug is awaiting a decision from the kernel team because it adds a dependency on Java for kernel builds.

Changed in ubuntu-power-systems:
status: In Progress → Incomplete
Manoj Iyer (manjo) on 2018-11-28
Changed in ubuntu-power-systems:
status: Incomplete → In Progress
Frank Heimes (frank-heimes) wrote :

quick update:
Looks like a way was found (by apw) to modify the dependencies to become able to finally ship libperf-jvmti.so, but this needs to be discussed with the Ubuntu archive team first - which is the next step here...

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-12-21 12:13 EDT-------
Hi Frank,

Thanks for the update.

Looking forward for the final resolution :)

Happy Holidays.

Regards,
Gustavo

Manoj Iyer (manjo) on 2019-03-04
tags: added: triage-r
removed: triage-g
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-03-15 00:38 EDT-------
Any update on this bug ?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-03-18 14:24 EDT-------
Frankly, it's quite upsetting not hearing from Canonical after so much time. I do understand that kernel team might frown upon adding a Java stuff as a dep for building the kernel packages and that any other similar conundrum might exist. But it seems Canonical is not paying much attention at all to that issue which, besides PPC64, also applies to other architectures.

I could even try to help working that upstream on perf side but without even knowing what's the Canonical plan for that bug it's moot because who knows exactly what's the hindrance here.

Andrew Cloke (andrew-cloke) wrote :

I sincerely apologise for the delay. I'll do my utmost to get you a response as soon as possible.

Terry Rudd (terrykrudd) wrote :

The canonical engineering team has been tracking this issue, but apologies again for the delay in responding to the request for technical discussion on this bug.

We have escalated the priority of this specific issue, and intend to get you a technical response by the end of the week.

I am doing a test build in order to try to provide this package, and look at how many dependencies changes that introduces.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-03-20 12:22 EDT-------
Thanks a lot Andrew, Terry, and Cascardo.

If there is anything I can help on the PPC64 side, please let me know.

Best regards,
Gustavo

Hi, Gustavo.

I would like to ask if using the same location as the real perf binary itself would be fine for your needs.

That is, a symlink at /usr/lib/linux-tools/`uname -r`/libperf_jvmti.so pointing at /usr/lib/linux-tools-SRCVERSION-ABINUMBER/libperf_jvmti.so.

Thanks.
Cascardo.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-03-21 16:33 EDT-------
Hi Cascardo,

(In reply to comment #36)
> I would like to ask if using the same location as the real perf binary
> itself would be fine for your needs.
>
> That is, a symlink at /usr/lib/linux-tools/`uname -r`/libperf_jvmti.so
> pointing at /usr/lib/linux-tools-SRCVERSION-ABINUMBER/libperf_jvmti.so.

That location and symlink are perfectly fine for me.

Just a nit: you probably meant libperf-jvmti.so (with dash) instead of libperf_jvmti.so, right? If not, although that won't impact much in practice, I would like to keep the upstream default file name, with dash.

Thanks a lot & best regards,
Gustavo

Hi, Gustavo.

Yes, we are keeping the filename as upstream, with a dash.

Can you try the kernel at ppa:cascardo/linux, and see if that works for you?

Best regards.
Cascardo.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-03-26 07:18 EDT-------
(In reply to comment #39)
> Gustavo, Could you test please

Yes. Please, give me one more today.

Thanks,
Gustavo

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-03-28 23:03 EDT-------
(In reply to comment #38)
> Can you try the kernel at ppa:cascardo/linux, and see if that works for you?

Hi Cascardo. It looks good. I'm able to get a jit profile using the agent found in linux-tools-5.0.0-8-generic with:

$ sudo perf record -k 1 -e instructions:u ./java -agentpath:/usr/lib/linux-tools-5.0.0-8/libperf-jvmti.so crc32
$ sudo perf inject -i ./perf.data -j -o ./perf.data.jitted
$ sudo perf report -f -i ./perf.data.jitted

Thank you.

Cheers,
Gustavo

Hi, Gustavo.

We have just missed the kernel freeze. So, we will need to SRU this change. I am still waiting for your feedback, before I submit this for review.

Thank you.
Cascardo.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-04-04 08:50 EDT-------
Hi Cascardo!

(In reply to comment #42)
> Hi, Gustavo.
>
> We have just missed the kernel freeze. So, we will need to SRU this change.
> I am still waiting for your feedback, before I submit this for review.

I think it's fine to miss the freeze and postpone it.

That said, are you waiting any additional feedback besides the one I posted on 03/28?

--
Hi Cascardo. It looks good. I'm able to get a jit profile using the agent found in linux-tools-5.0.0-8-generic with:

$ sudo perf record -k 1 -e instructions:u ./java -agentpath:/usr/lib/linux-tools-5.0.0-8/libperf-jvmti.so crc32
$ sudo perf inject -i ./perf.data -j -o ./perf.data.jitted
$ sudo perf report -f -i ./perf.data.jitted

Thank you.

Cheers,
Gustavo
--

Please do let me know if you are expecting any additional testing, but so far from my side status is: ship it! :)

Thanks a lot.
Gustavo

description: updated
description: updated

Hi, Gustavo.

The patch has been sent to the mailing list, but this will have to wait for release, as this has impact/considerations for the derivative kernels. Meanwhile, I am asking for reviews so we can discuss any other issues with the fixes as early as we can.

Cascardo.

Frank Heimes (frank-heimes) wrote :

Adding a pointer to the thread of the kernel team SRU mailing list:
https://lists.ubuntu.com/archives/kernel-team/2019-April/thread.html#99997
Looks like it missed the current SRU cycle.
Is there a chance to get it into the next cycle?

Probably will be ready for the cycle the ends on the last week of June.

Seth Forshee (sforshee) on 2019-05-30
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Cosmic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in ubuntu-power-systems:
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
tags: added: verification-needed-cosmic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-cosmic' to 'verification-done-cosmic'. If the problem still exists, change the tag 'verification-needed-cosmic' to 'verification-failed-cosmic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Gustavo Romero (gromero) wrote :

On bionic LGTM:

$ lsb_release -a | fgrep Codename
Codename: bionic
$ uname -a
Linux guest 4.15.0-53-generic #57-Ubuntu SMP Thu Jun 13 09:28:40 UTC 2019 ppc64le ppc64le ppc64le GNU/Linux
$ java -version
openjdk version "11.0.3" 2019-04-16
OpenJDK Runtime Environment (build 11.0.3+7-Ubuntu-1ubuntu218.04.1)
OpenJDK 64-Bit Server VM (build 11.0.3+7-Ubuntu-1ubuntu218.04.1, mixed mode)

$ sudo apt-get install -y linux-tools-$(uname -r)/bionic-proposed

cat << EOF > hello.java
class hello {
  static void printX() {
    System.out.printf("X");
  }

  public static void main(String[] args) {
  int i;
  for (i=0; i < 64000; i++)
    printX();
  }
}
EOF

$ javac hello.java
$ sudo perf record -k 1 -e instructions:u java -agentpath:/usr/lib/linux-tools-4.15.0-53/libperf-jvmti.so hello > /dev/null
java: jvmti: jitdump in /home/user/.debug/jit/java-jit-20190620.XXH3rSWT/jit-4232.dump
[ perf record: Woken up 1 times to write data ]
[ perf record: Captured and wrote 0.136 MB perf.data (3368 samples) ]
$ sudo perf inject -i ./perf.data -j -o ./perf.data.jitted
$ sudo perf report -f -i ./perf.data.jitted |& fgrep printX
     0.38% java jitted-4232-595.so [.] class hello.printX()

Gustavo Romero (gromero) wrote :

On disco LGTM:

gromero@gromero33:~$ lsb_release -a |& fgrep Codename
Codename: disco
gromero@gromero33:~$ uname -a
Linux gromero33 5.0.0-18-generic #19-Ubuntu SMP Wed Jun 12 18:19:22 UTC 2019 ppc64le ppc64le ppc64le GNU/Linux
gromero@gromero33:~$ java -version
openjdk version "11.0.3" 2019-04-16
OpenJDK Runtime Environment (build 11.0.3+7-Ubuntu-1ubuntu219.04.1)
OpenJDK 64-Bit Server VM (build 11.0.3+7-Ubuntu-1ubuntu219.04.1, mixed mode)
gromero@gromero33:~$ sudo apt-get install -y linux-tools-$(uname -r)/disco-proposed
gromero@gromero33:~$ cat << EOF > hello.java
> class hello {
> static void printX() {
> System.out.printf("X");
> }
>
> public static void main(String[] args) {
> int i;
> for (i=0; i < 64000; i++)
> printX();
> }
> }
> EOF
gromero@gromero33:~$ javac hello.java
gromero@gromero33:~$ sudo perf record -k 1 -e instructions:u java -agentpath:/usr/lib/linux-tools-5.0.0-18/libperf-jvmti.so hello > /dev/null
java: jvmti: jitdump in /home/gromero/.debug/jit/java-jit-20190620.XXxYAYpv/jit-4062.dump
[ perf record: Woken up 1 times to write data ]
[ perf record: Captured and wrote 0.168 MB perf.data (4076 samples) ]
gromero@gromero33:~$ sudo perf inject -i ./perf.data -j -o ./perf.data.jitted
gromero@gromero33:~$ sudo perf report -f -i ./perf.data.jitted |& fgrep printX
     0.40% java jitted-4062-606.so [.] class hello.printX()
     0.05% java jitted-4062-535.so [.] class hello.printX()

tags: added: verification-done-cosmic verification-done-disco
removed: verification-needed-cosmic verification-needed-disco
tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.2.0-8.9

---------------
linux (5.2.0-8.9) eoan; urgency=medium

  * linux: 5.2.0-8.9 -proposed tracker (LP: #1835700)

  * Miscellaneous Ubuntu changes
    - [Packaging] replace zfs and spl build with zfs 0.8.1-1ubuntu1
    - SAUCE: test_bpf: remove expected fail for Ctx heavy transformations test on
      s390
    - SAUCE: add -fcf-protection=none to retpoline flags
    - SAUCE: usbip: ensure strings copied using strncpy are null-terminated
    - SAUCE: usbip: add -Wno-address-of-packed-member to EXTRA_CFLAGS
    - SAUCE: perf jvmti: ensure strncpy result is null-terminated
    - update dkms package versions
    - add removed zfs modules to modules.ignore

  [ Upstream Kernel Changes ]

  * Rebase to v5.2

 -- Seth Forshee <email address hidden> Mon, 08 Jul 2019 07:13:41 -0500

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.2 KiB)

This bug was fixed in the package linux - 4.15.0-55.60

---------------
linux (4.15.0-55.60) bionic; urgency=medium

  * linux: 4.15.0-55.60 -proposed tracker (LP: #1834954)

  * Request backport of ceph commits into bionic (LP: #1834235)
    - ceph: use atomic_t for ceph_inode_info::i_shared_gen
    - ceph: define argument structure for handle_cap_grant
    - ceph: flush pending works before shutdown super
    - ceph: send cap releases more aggressively
    - ceph: single workqueue for inode related works
    - ceph: avoid dereferencing invalid pointer during cached readdir
    - ceph: quota: add initial infrastructure to support cephfs quotas
    - ceph: quota: support for ceph.quota.max_files
    - ceph: quota: don't allow cross-quota renames
    - ceph: fix root quota realm check
    - ceph: quota: support for ceph.quota.max_bytes
    - ceph: quota: update MDS when max_bytes is approaching
    - ceph: quota: add counter for snaprealms with quota
    - ceph: avoid iput_final() while holding mutex or in dispatch thread

  * QCA9377 isn't being recognized sometimes (LP: #1757218)
    - SAUCE: USB: Disable USB2 LPM at shutdown

  * hns: fix ICMP6 neighbor solicitation messages discard problem (LP: #1833140)
    - net: hns: fix ICMP6 neighbor solicitation messages discard problem
    - net: hns: fix unsigned comparison to less than zero

  * Fix occasional boot time crash in hns driver (LP: #1833138)
    - net: hns: Fix probabilistic memory overwrite when HNS driver initialized

  * use-after-free in hns_nic_net_xmit_hw (LP: #1833136)
    - net: hns: fix KASAN: use-after-free in hns_nic_net_xmit_hw()

  * hns: attempt to restart autoneg when disabled should report error
    (LP: #1833147)
    - net: hns: Restart autoneg need return failed when autoneg off

  * systemd 237-3ubuntu10.14 ADT test failure on Bionic ppc64el (test-seccomp)
    (LP: #1821625)
    - powerpc: sys_pkey_alloc() and sys_pkey_free() system calls
    - powerpc: sys_pkey_mprotect() system call

  * [UBUNTU] pkey: Indicate old mkvp only if old and curr. mkvp are different
    (LP: #1832625)
    - pkey: Indicate old mkvp only if old and current mkvp are different

  * [UBUNTU] kernel: Fix gcm-aes-s390 wrong scatter-gather list processing
    (LP: #1832623)
    - s390/crypto: fix gcm-aes-s390 selftest failures

  * System crashes on hot adding a core with drmgr command (4.15.0-48-generic)
    (LP: #1833716)
    - powerpc/numa: improve control of topology updates
    - powerpc/numa: document topology_updates_enabled, disable by default

  * Kernel modules generated incorrectly when system is localized to a non-
    English language (LP: #1828084)
    - scripts: override locale from environment when running recordmcount.pl

  * [UBUNTU] kernel: Fix wrong dispatching for control domain CPRBs
    (LP: #1832624)
    - s390/zcrypt: Fix wrong dispatching for control domain CPRBs

  * CVE-2019-11815
    - net: rds: force to destroy connection if t_sock is NULL in
      rds_tcp_kill_sock().

  * Sound device not detected after resume from hibernate (LP: #1826868)
    - drm/i915: Force 2*96 MHz cdclk on glk/cnl when audio power is enabled
    - drm/i915: Save the old CDCLK atomic state
...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Andrew Cloke (andrew-cloke) wrote :

Marking Cosmic as "invalid" as it is now EOL.

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (57.5 KiB)

This bug was fixed in the package linux - 5.0.0-21.22

---------------
linux (5.0.0-21.22) disco; urgency=medium

  * linux: 5.0.0-21.22 -proposed tracker (LP: #1834902)

  * Disco update: 5.0.15 upstream stable release (LP: #1834529)
    - net: stmmac: Use bfsize1 in ndesc_init_rx_desc
    - Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in hv_synic_cleanup()
    - ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
    - staging: greybus: power_supply: fix prop-descriptor request size
    - staging: wilc1000: Avoid GFP_KERNEL allocation from atomic context.
    - staging: most: cdev: fix chrdev_region leak in mod_exit
    - staging: most: sound: pass correct device when creating a sound card
    - ASoC: tlv320aic3x: fix reset gpio reference counting
    - ASoC: hdmi-codec: fix S/PDIF DAI
    - ASoC: stm32: sai: fix iec958 controls indexation
    - ASoC: stm32: sai: fix exposed capabilities in spdif mode
    - ASoC: stm32: sai: fix race condition in irq handler
    - ASoC:soc-pcm:fix a codec fixup issue in TDM case
    - ASoC:hdac_hda:use correct format to setup hda codec
    - ASoC:intel:skl:fix a simultaneous playback & capture issue on hda platform
    - ASoC: dpcm: prevent snd_soc_dpcm use after free
    - ASoC: nau8824: fix the issue of the widget with prefix name
    - ASoC: nau8810: fix the issue of widget with prefixed name
    - ASoC: samsung: odroid: Fix clock configuration for 44100 sample rate
    - ASoC: rt5682: Check JD status when system resume
    - ASoC: rt5682: fix jack type detection issue
    - ASoC: rt5682: recording has no sound after booting
    - ASoC: wm_adsp: Add locking to wm_adsp2_bus_error
    - clk: meson-gxbb: round the vdec dividers to closest
    - ASoC: stm32: dfsdm: manage multiple prepare
    - ASoC: stm32: dfsdm: fix debugfs warnings on entry creation
    - ASoC: cs4270: Set auto-increment bit for register writes
    - ASoC: dapm: Fix NULL pointer dereference in snd_soc_dapm_free_kcontrol
    - drm/omap: hdmi4_cec: Fix CEC clock handling for PM
    - IB/hfi1: Clear the IOWAIT pending bits when QP is put into error state
    - IB/hfi1: Eliminate opcode tests on mr deref
    - IB/hfi1: Fix the allocation of RSM table
    - MIPS: KGDB: fix kgdb support for SMP platforms.
    - ASoC: tlv320aic32x4: Fix Common Pins
    - drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata()
    - perf/x86/intel: Fix handling of wakeup_events for multi-entry PEBS
    - perf/x86/intel: Initialize TFA MSR
    - linux/kernel.h: Use parentheses around argument in u64_to_user_ptr()
    - iov_iter: Fix build error without CONFIG_CRYPTO
    - xtensa: fix initialization of pt_regs::syscall in start_thread
    - ASoC: rockchip: pdm: fix regmap_ops hang issue
    - drm/amdkfd: Add picasso pci id
    - drm/amdgpu: Adjust IB test timeout for XGMI configuration
    - drm/amdgpu: amdgpu_device_recover_vram always failed if only one node in
      shadow_list
    - drm/amd/display: fix cursor black issue
    - ASoC: cs35l35: Disable regulators on driver removal
    - objtool: Add rewind_stack_do_exit() to the noreturn list
    - slab: fix a crash by reading /proc/slab_allocators
    - drm/sun4i: tcon top: Fix NULL/inv...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
Brian Moyles (bmoyles) wrote :

Can anyone comment as to whether or not this will be considered for kernels beyond -generic and -hwe? Specifically for aws, aws-hwe, and aws-edge kernels?

Brad Figg (brad-figg) wrote :

Brian,

aws, aws-hwe and aws-edge are derivative kernels of the generic kernels. as such they automatically pick up all fixes that get applied to the generic kernels.

Brian Moyles (bmoyles) wrote :

Thanks Brad, I just saw that this has been in -proposed for a bit on bionic, missed that originally when looking for the file https://packages.ubuntu.com/search?searchon=contents&keywords=libperf-jvmti.so&mode=exactfilename&suite=bionic-updates&arch=any
We'll keep our eyes peeled for the release.

Changed in linux-aws (Ubuntu Bionic):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: New → In Progress
Changed in linux-aws (Ubuntu Disco):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: New → In Progress
Changed in linux-aws (Ubuntu Artful):
status: New → Invalid
Changed in linux-aws (Ubuntu Cosmic):
status: New → Invalid
Changed in linux-aws (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: New → In Progress
Changed in linux-aws-edge (Ubuntu Artful):
status: New → Invalid
Changed in linux-aws-edge (Ubuntu Cosmic):
status: New → Invalid
Changed in linux-aws-edge (Ubuntu Disco):
status: New → Invalid
Changed in linux-aws-edge (Ubuntu Bionic):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: New → In Progress
Changed in linux-aws-edge (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: New → In Progress

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Changed in linux-aws-hwe (Ubuntu Artful):
status: New → Invalid
Changed in linux (Ubuntu Xenial):
status: New → Invalid
Changed in linux-aws (Ubuntu Xenial):
status: New → Invalid
Changed in linux-aws-edge (Ubuntu Xenial):
status: New → Invalid
Changed in linux-aws-hwe (Ubuntu Xenial):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: New → In Progress
Changed in linux-aws-hwe (Ubuntu Bionic):
status: New → Invalid
Changed in linux-aws-hwe (Ubuntu Cosmic):
status: New → Invalid
Changed in linux-aws-hwe (Ubuntu Disco):
status: New → Invalid
Changed in linux-aws (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-aws (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in linux-aws-edge (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-aws-hwe (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-aws (Ubuntu):
status: In Progress → Fix Committed
Changed in linux-aws-edge (Ubuntu):
status: In Progress → Fix Committed
Changed in linux-aws-hwe (Ubuntu):
status: New → Fix Committed
assignee: nobody → Kamal Mostafa (kamalmostafa)
Gustavo Romero (gromero) wrote :

Sorry, agent looks missing on proposed for Xenial. Canonical, could you please check it?

There is no libperf-jvmti.so afaics.

I'm marking it as 'verification-failed-xenial'.

gromero@gromero16:/tmp$ dpkg -L linux-tools-4.4.0-160
/.
/usr
/usr/lib
/usr/lib/linux-tools-4.4.0-160
/usr/lib/linux-tools-4.4.0-160/perf
/usr/lib/linux-tools-4.4.0-160/usbip
/usr/lib/linux-tools-4.4.0-160/cpupower
/usr/lib/linux-tools-4.4.0-160/usbipd
/usr/lib/libcpupower.so.4.4.0-160
/usr/share
/usr/share/doc
/usr/share/doc/linux-tools-4.4.0-160
/usr/share/doc/linux-tools-4.4.0-160/changelog.Debian.gz
/usr/share/doc/linux-tools-4.4.0-160/copyright
gromero@gromero16:/tmp$ dpkg -L linux-tools-4.4.0-160-generic
/.
/usr
/usr/lib
/usr/lib/linux-tools
/usr/lib/linux-tools/4.4.0-160-generic
/usr/share
/usr/share/doc
/usr/share/doc/linux-tools-4.4.0-160-generic
/usr/share/doc/linux-tools-4.4.0-160-generic/copyright
/usr/lib/linux-tools/4.4.0-160-generic/perf
/usr/lib/linux-tools/4.4.0-160-generic/usbip
/usr/lib/linux-tools/4.4.0-160-generic/cpupower
/usr/lib/linux-tools/4.4.0-160-generic/usbipd
/usr/share/doc/linux-tools-4.4.0-160-generic/changelog.Debian.gz
gromero@gromero16:/tmp$ uname -a
Linux gromero16 4.4.0-160-generic #188-Ubuntu SMP Wed Aug 14 04:17:46 UTC 2019 ppc64le ppc64le ppc64le GNU/Linux
gromero@gromero16:/tmp$ ls -l /usr/lib/linux-tools-4.4.0-160
total 10776
-rwxr-xr-x 1 root root 230096 Aug 14 00:53 cpupower
-rwxr-xr-x 1 root root 10314320 Aug 14 00:53 perf
-rwxr-xr-x 1 root root 260112 Aug 14 00:53 usbip
-rwxr-xr-x 1 root root 218056 Aug 14 00:53 usbipd
gromero@gromero16:/tmp$

tags: added: verification-failed-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (55.5 KiB)

This bug was fixed in the package linux-aws - 5.0.0-1014.16

---------------
linux-aws (5.0.0-1014.16) disco; urgency=medium

  * disco/linux-aws: 5.0.0-1014.16 -proposed tracker (LP: #1840800)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

  * [18.04/18.10] File libperf-jvmti.so is missing in linux-tools-common deb on
    Ubuntu (LP: #1761379)
    - [Packaging] aws: Enable building libperf-jvmti.so

  [ Ubuntu: 5.0.0-27.28 ]

  * disco/linux: 5.0.0-27.28 -proposed tracker (LP: #1840816)
  * [Potential Regression] System crashes when running ftrace test in
    ubuntu_kernel_selftests (LP: #1840750)
    - x86/kprobes: Set instruction page as executable

linux-aws (5.0.0-1013.15) disco; urgency=medium

  * disco/linux-aws: 5.0.0-1013.15 -proposed tracker (LP: #1839953)

  * Disco update: 5.0.20 upstream stable release (LP: #1837517)
    - [Config] Add CONFIG_ARM64_ERRATUM_1463225

  * Add the EFA driver into linux-aws (LP: #1837638)
    - RDMA/efa: Add EFA device definitions
    - RDMA/efa: Add the ABI definitions
    - RDMA/efa: Add the efa.h header file
    - RDMA/efa: Add the efa_com.h file
    - RDMA/efa: Add the com service API definitions
    - RDMA/efa: Implement functions that submit and complete admin commands
    - RDMA/efa: Add common command handlers
    - RDMA/efa: Add EFA verbs implementation
    - RDMA/efa: Add the efa module
    - RDMA/efa: Add driver to Kconfig/Makefile
    - [Config] aws: CONFIG_INFINIBAND_EFA=m
    - RDMA/efa: Remove MAYEXEC flag check from mmap flow
    - RDMA/efa: Fix success return value in case of error
    - RDMA/efa: Handle mmap insertions overflow
    - SAUCE: Add kernel compatibility fixups
    - SAUCE: linux/efa: Be consistent with success flow return value
    - SAUCE: linux/efa: Entropy in admin commands id
    - SAUCE: linux/efa: Fix modify QP udata check backport

  [ Ubuntu: 5.0.0-26.27 ]

  * disco/linux: 5.0.0-26.27 -proposed tracker (LP: #1839972)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping
  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment
  * [18.04 FEAT] Enhanced hardware support (LP: #1836857)
    - s390: report new CPU capabilities
    - s390: add alignment hints to vector load and store
  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry
  * [18.04 FEAT] Enhanced CPU-MF hardware counters - kernel part (LP: #1836860)
    - s390/cpum_cf: Add support for CPU-MF SVN 6
    - s390/cpumf: Add extended counter set definitions for model 8561 and 8562
  * EeePC 1005px laptop backlight is off after system boot up (LP: #1837117)
    - platform/x86: asus-wmi: Only Tell EC the OS will handle display hotkeys from
      asus_nb_wmi
  * br_netfilter...

Changed in linux-aws (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (55.8 KiB)

This bug was fixed in the package linux-aws-edge - 5.0.0-1014.16~18.04.1

---------------
linux-aws-edge (5.0.0-1014.16~18.04.1) bionic; urgency=medium

  * bionic/linux-aws-edge: 5.0.0-1014.16~18.04.1 -proposed tracker
    (LP: #1840820)

  * [18.04/18.10] File libperf-jvmti.so is missing in linux-tools-common deb on
    Ubuntu (LP: #1761379)
    - [Packaging] aws: Enable building libperf-jvmti.so

  [ Ubuntu: 5.0.0-1014.16 ]

  * disco/linux-aws: 5.0.0-1014.16 -proposed tracker (LP: #1840800)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
  * [18.04/18.10] File libperf-jvmti.so is missing in linux-tools-common deb on
    Ubuntu (LP: #1761379)
    - [Packaging] aws: Enable building libperf-jvmti.so
  * disco/linux: 5.0.0-27.28 -proposed tracker (LP: #1840816)
  * [Potential Regression] System crashes when running ftrace test in
    ubuntu_kernel_selftests (LP: #1840750)
    - x86/kprobes: Set instruction page as executable

linux-aws-edge (5.0.0-1013.15~18.04.1) bionic; urgency=medium

  * bionic/linux-aws-edge: 5.0.0-1013.15~18.04.1 -proposed tracker
    (LP: #1839951)

  [ Ubuntu: 5.0.0-1013.15 ]

  * disco/linux-aws: 5.0.0-1013.15 -proposed tracker (LP: #1839953)
  * Disco update: 5.0.20 upstream stable release (LP: #1837517)
    - [Config] Add CONFIG_ARM64_ERRATUM_1463225
  * Add the EFA driver into linux-aws (LP: #1837638)
    - RDMA/efa: Add EFA device definitions
    - RDMA/efa: Add the ABI definitions
    - RDMA/efa: Add the efa.h header file
    - RDMA/efa: Add the efa_com.h file
    - RDMA/efa: Add the com service API definitions
    - RDMA/efa: Implement functions that submit and complete admin commands
    - RDMA/efa: Add common command handlers
    - RDMA/efa: Add EFA verbs implementation
    - RDMA/efa: Add the efa module
    - RDMA/efa: Add driver to Kconfig/Makefile
    - [Config] aws: CONFIG_INFINIBAND_EFA=m
    - RDMA/efa: Remove MAYEXEC flag check from mmap flow
    - RDMA/efa: Fix success return value in case of error
    - RDMA/efa: Handle mmap insertions overflow
    - SAUCE: Add kernel compatibility fixups
    - SAUCE: linux/efa: Be consistent with success flow return value
    - SAUCE: linux/efa: Entropy in admin commands id
    - SAUCE: linux/efa: Fix modify QP udata check backport
  * disco/linux: 5.0.0-26.27 -proposed tracker (LP: #1839972)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping
  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment
  * [18.04 FEAT] Enhanced hardware support (LP: #1836857)
    - s390: report new CPU capabilities
    - s390: add alignment hints to vector load and store
  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry
  * [18.04 FEAT] Enhanced ...

Changed in linux-aws-edge (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (419.3 KiB)

This bug was fixed in the package linux-aws - 4.15.0-1047.49

---------------
linux-aws (4.15.0-1047.49) bionic; urgency=medium

  * bionic/linux-aws: 4.15.0-1047.49 -proposed tracker (LP: #1841084)

  * [18.04/18.10] File libperf-jvmti.so is missing in linux-tools-common deb on
    Ubuntu (LP: #1761379)
    - [Packaging] aws: Enable building libperf-jvmti.so

  [ Ubuntu: 4.15.0-60.67 ]

  * bionic/linux: 4.15.0-60.67 -proposed tracker (LP: #1841086)
  * [Regression] net test from ubuntu_kernel_selftests failed due to bpf test
    compilation issue (LP: #1840935)
    - SAUCE: Fix "bpf: relax verifier restriction on BPF_MOV | BPF_ALU"
  * [Regression] failed to compile seccomp test from ubuntu_kernel_selftests
    (LP: #1840932)
    - Revert "selftests: skip seccomp get_metadata test if not real root"
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

linux-aws (4.15.0-1046.48) bionic; urgency=medium

  * bionic/linux-aws: 4.15.0-1046.48 -proposed tracker (LP: #1839985)

  * Bionic update: upstream stable patchset 2019-07-25 (LP: #1837952)
    - aws: [Config] set CONFIG_SUN50I_ERRATUM_UNKNOWN1=y

  * Bionic update: upstream stable patchset 2019-07-26 (LP: #1838116)
    - aws: [Config] set CONFIG_LDISC_AUTOLOAD=y
    - aws: [Config] remove CONFIG_R3964=m

  * Bionic update: upstream stable patchset 2019-08-02 (LP: #1838824)
    - aws: [Config] set CONFIG_NOUVEAU_LEGACY_CTX_SUPPORT=y

  * Bionic update: upstream stable patchset 2019-07-22 (LP: #1837477)
    - aws: [Config] set CONFIG_CIFS_ALLOW_INSECURE_LEGACY=y

  * Build Nvidia drivers in conjunction with kernel (LP: #1764792)
    - aws: [Packaging] enable nvidia dkms build

  * Add the EFA driver into linux-aws (LP: #1837638)
    - RDMA/efa: Add EFA device definitions
    - RDMA/efa: Add the ABI definitions
    - RDMA/efa: Add the efa.h header file
    - RDMA/efa: Add the efa_com.h file
    - RDMA/efa: Add the com service API definitions
    - RDMA/efa: Implement functions that submit and complete admin commands
    - RDMA/efa: Add common command handlers
    - RDMA/efa: Add EFA verbs implementation
    - RDMA/efa: Add the efa module
    - RDMA/efa: Add driver to Kconfig/Makefile
    - [Config] aws: CONFIG_INFINIBAND_EFA=m
    - RDMA/efa: Remove MAYEXEC flag check from mmap flow
    - RDMA/efa: Fix success return value in case of error
    - RDMA/efa: Handle mmap insertions overflow
    - SAUCE: Add kernel compatibility fixups
    - SAUCE: linux/efa: Be consistent with success flow return value
    - SAUCE: linux/efa: Entropy in admin commands id
    - SAUCE: linux/efa: Fix modify QP udata check backport

  [ Ubuntu: 4.15.0-59.66 ]

  * bionic/linux: 4.15.0-59.66 -proposed tracker (LP: #1840006)
  * zfs not completely removed from bionic tree (LP: #1840051)
    - SAUCE: (noup) remove completely the zfs code
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * [18.04 FEAT] Enhanced hardware support (LP: #1836857)
    - s390: report new CPU capabilities
    - s390: add alignment hints to vector load and store
  * [18.04 FEAT] Enhanced CPU-MF hardware counters - kernel part (LP: #1836860)
    - s390/cpum_cf: Add support for CPU-MF SVN 6
    - s390/cp...

Changed in linux-aws (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (419.7 KiB)

This bug was fixed in the package linux-aws-hwe - 4.15.0-1047.49~16.04.1

---------------
linux-aws-hwe (4.15.0-1047.49~16.04.1) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1047.49~16.04.1 -proposed tracker
    (LP: #1841083)

  * [18.04/18.10] File libperf-jvmti.so is missing in linux-tools-common deb on
    Ubuntu (LP: #1761379)
    - [Packaging] aws: Enable building libperf-jvmti.so

  [ Ubuntu: 4.15.0-1047.49 ]

  * bionic/linux-aws: 4.15.0-1047.49 -proposed tracker (LP: #1841084)
  * [18.04/18.10] File libperf-jvmti.so is missing in linux-tools-common deb on
    Ubuntu (LP: #1761379)
    - [Packaging] aws: Enable building libperf-jvmti.so
  * bionic/linux: 4.15.0-60.67 -proposed tracker (LP: #1841086)
  * [Regression] net test from ubuntu_kernel_selftests failed due to bpf test
    compilation issue (LP: #1840935)
    - SAUCE: Fix "bpf: relax verifier restriction on BPF_MOV | BPF_ALU"
  * [Regression] failed to compile seccomp test from ubuntu_kernel_selftests
    (LP: #1840932)
    - Revert "selftests: skip seccomp get_metadata test if not real root"
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

linux-aws-hwe (4.15.0-1046.48~16.04.2) xenial; urgency=medium

  * xenial/linux-aws-hwe: 4.15.0-1046.48~16.04.2 -proposed tracker
    (LP: #1839983)

  * zfs/spl build in conjunction with the kernel from DKMS source (LP: #1807378)
    - aws-hwe: [Packaging] Add DKMS build dependencies

  [ Ubuntu: 4.15.0-1046.48 ]

  * bionic/linux-aws: 4.15.0-1046.48 -proposed tracker (LP: #1839985)
  * Bionic update: upstream stable patchset 2019-07-25 (LP: #1837952)
    - aws: [Config] set CONFIG_SUN50I_ERRATUM_UNKNOWN1=y
  * Bionic update: upstream stable patchset 2019-07-26 (LP: #1838116)
    - aws: [Config] set CONFIG_LDISC_AUTOLOAD=y
    - aws: [Config] remove CONFIG_R3964=m
  * Bionic update: upstream stable patchset 2019-08-02 (LP: #1838824)
    - aws: [Config] set CONFIG_NOUVEAU_LEGACY_CTX_SUPPORT=y
  * Bionic update: upstream stable patchset 2019-07-22 (LP: #1837477)
    - aws: [Config] set CONFIG_CIFS_ALLOW_INSECURE_LEGACY=y
  * Build Nvidia drivers in conjunction with kernel (LP: #1764792)
    - aws: [Packaging] enable nvidia dkms build
  * Add the EFA driver into linux-aws (LP: #1837638)
    - RDMA/efa: Add EFA device definitions
    - RDMA/efa: Add the ABI definitions
    - RDMA/efa: Add the efa.h header file
    - RDMA/efa: Add the efa_com.h file
    - RDMA/efa: Add the com service API definitions
    - RDMA/efa: Implement functions that submit and complete admin commands
    - RDMA/efa: Add common command handlers
    - RDMA/efa: Add EFA verbs implementation
    - RDMA/efa: Add the efa module
    - RDMA/efa: Add driver to Kconfig/Makefile
    - [Config] aws: CONFIG_INFINIBAND_EFA=m
    - RDMA/efa: Remove MAYEXEC flag check from mmap flow
    - RDMA/efa: Fix success return value in case of error
    - RDMA/efa: Handle mmap insertions overflow
    - SAUCE: Add kernel compatibility fixups
    - SAUCE: linux/efa: Be consistent with success flow return value
    - SAUCE: linux/efa: Entropy in admin commands id
    - SAUCE: linux/efa: Fix modify QP udata check backport
  * bionic/linux: 4.15.0-59.66 -proposed track...

Changed in linux-aws-hwe (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.8 KiB)

This bug was fixed in the package linux-aws - 5.3.0-1003.3

---------------
linux-aws (5.3.0-1003.3) eoan; urgency=medium

  * eoan/linux-aws: 5.3.0-1003.3 -proposed tracker (LP: #1847291)

  [ Ubuntu: 5.3.0-18.19 ]

  * eoan/linux: 5.3.0-18.19 -proposed tracker (LP: #1847298)
  * Enable the Dragonboards out of Eoan/master arm64 kernel (LP: #1846704)
    - [Packaging] arm64: snapdragon: introduce a snapdragon flavour
    - [Packaging] arm64: snapdragon: switch kernel format to Image
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_MSM8916=y
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_MSM8994=y
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_MSM8996=y
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_MSM8998=y
    - [Config] arm64: snapdragon: CONFIG_REGULATOR_QCOM_RPMH=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_BAM_DMA=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_HIDMA_MGMT=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_HIDMA=y
    - [Config] arm64: snapdragon: CONFIG_COMMON_CLK_QCOM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_CLK_RPMH=y
    - [Config] arm64: snapdragon: CONFIG_MSM_GCC_8916=y
    - [Config] arm64: snapdragon: CONFIG_MSM_GCC_8994=y
    - [Config] arm64: snapdragon: CONFIG_MSM_MMCC_8996=y
    - [Config] arm64: snapdragon: CONFIG_MSM_GCC_8998=y
    - [Config] arm64: snapdragon: CONFIG_HWSPINLOCK_QCOM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_APCS_IPC=y
    - [Config] arm64: snapdragon: CONFIG_RPMSG_QCOM_GLINK_RPM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_GENI_SE=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_SMEM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_SMD_RPM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_SMP2P=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_SMSM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_QFPROM=y
    - [Config] arm64: snapdragon: CONFIG_SERIAL_QCOM_GENI=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_TSENS=y
    - [Config] arm64: snapdragon: CONFIG_REGULATOR_QCOM_SMD_RPM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_CLK_SMD_RPM=y
    - [Config] arm64: snapdragon: CONFIG_RPMSG_QCOM_SMD=y
    - [Config] arm64: snapdragon: CONFIG_MFD_QCOM_RPM=y
    - [Config] arm64: snapdragon: CONFIG_SCSI_UFSHCD=y
    - [Config] arm64: snapdragon: CONFIG_SCSI_UFSHCD_PLATFORM=y
    - [Config] arm64: snapdragon: CONFIG_SCSI_UFS_HISI=y
    - [Config] arm64: snapdragon: CONFIG_MMC_SDHCI=y
    - [Config] arm64: snapdragon: CONFIG_MMC_SDHCI_PLTFM=y
    - [Config] arm64: snapdragon: CONFIG_MMC_SDHCI_MSM=y
    - [Config] arm64: snapdragon: CONFIG_REGULATOR_QCOM_SPMI=y
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_QCOM_SPMI_PMIC=y
    - [Config] arm64: snapdragon: CONFIG_PHY_QCOM_USB_HS=y
    - [Config] arm64: snapdragon: CONFIG_PHY_QCOM_QMP=y
    - [Config] arm64: snapdragon: CONFIG_PHY_QCOM_UFS=y
    - [Config] arm64: snapdragon: CONFIG_PHY_QCOM_USB_HSIC=y
    - [Config] arm64: snapdragon: CONFIG_USB_CHIPIDEA_OF=y
    - [Config] arm64: snapdragon: CONFIG_USB_EHCI_HCD_PLATFORM=y
    - [Config] arm64: snapdragon: CONFIG_EXTCON_USB_GPIO=y
    - [Config] arm64: snapdragon: CONFIG_REGULATOR_FIXED_VOLTAGE=y
    - [Config] arm64: snapdragon: CONFIG_LEDS_GPIO=y
    - [Config] arm64: snapdragon:...

Read more...

Changed in linux-aws (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers